Arch Griglia

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Grid and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский
Arrow-left.svg Arch AxisSystem.png Sistema di assi Pagina precedente:
Pagina successiva: Tetto Arch Roof.svg Arrow-right.svg

Arch Grid.svg Griglia

Posizione nel menu
Arch → Assi → Griglia
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Asse, Sistema di assi


Descrizione

Lo strumento Griglia consente di posizionare nel documento un oggetto simile a una griglia. Questo oggetto ha lo scopo di fungere da base per costruire oggetti Arch che richiedono una trama regolare ma complessa, come finestre, facciate continue, griglie di colonne, ringhiere, ecc. L'oggetto Grid è modificabile come un foglio di calcolo, dove è possibile aggiungere o rimuovere colonne e righe, definire le loro dimensioni e unire le celle.

La Griglia è un oggetto 2D e quindi può essere utilizzato ovunque sia necessaria una forma 2D, ad esempio in un Disegno o uno Schizzo, ma può anche comportarsi come un Sistema di assi , e può essere utilizzato per propagare il posizionamento di altri oggetti Arch.

Arch Grid example.jpg

Una serie di colonne, un sistema di ringhiere e una finestra, ciascuna basata su un oggetto Griglia.


Utilizzo

  1. Presmere il pulsante Arch Grid.svg Griglia.
  2. Impostare Larghezza e Altezza della griglia nelle proprietà.
  3. Entrare nella modalità di modifica facendo doppio clic sull'oggetto griglia nella vista ad albero.
  4. Aggiungere righe e colonne.
  5. Impostare la larghezza e l'altezza desiderate di righe e colonne facendo doppio clic sulle intestazioni delle righe o colonne.

Opzioni

  • Una larghezza di colonna o altezza di riga pari a 0 significa che le sue dimensioni saranno adattate automaticamente per adattarsi alla larghezza o altezza totale della griglia.
  • Le celle possono essere unite e separate selezionandole e facendo clic sul pulsante appropriato.
  • Quando viene usata come proprietà DATAAxis di altri oggetti Arch, la griglia guida il posizionamento di questi oggetti. La proprietà DATAPoints Output definisce come sono posizionati gli oggetti sulla griglia: ai vertici, nei punti medi del bordo o al centri delle facce.
  • Impostando le proprietà DATAAuto Height o DATAAuto Width su un valore diverso da zero, il numero totale di righe o colonne e le loro altezze o larghezze individuali viene ignorato. Invece, viene automaticamente creato il numero massimo di colonne o righe della larghezza o altezza automatica specificata.

Proprietà

  • DATIRows: Numero di righe
  • DATIColumns: Numero di colonne
  • DATIRow Size: Dimensione delle righe
  • DATIColumn Size: Dimensione delle colonne
  • DATIPoints Output: Il tipo di punti 3D prodotti da questo oggetto griglia
  • DATIWidth: La larghezza totale di questa griglia
  • DATIHeight: L'altezza totale di questa griglia
  • DATIAuto Width: Crea divisioni di colonna automatiche (impostare su 0 per disabilitare)
  • DATIAuto Height: Crea divisioni di riga automatiche (impostare su 0 per disabilitare)
  • DATIReorient: Quando si trova in modalità punto medio, stabilisce se questa griglia deve riorientamento i propri figli lungo le normali del bordo o meno
  • DATIHidden Faces: Gli indici delle facce da nascondere

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Griglia può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Grid = makeGrid(name="Grid")
  • Crea un oggetto Grid.

I suoi attributi Width, Height, Rows, e Columns possono essere modificati direttamente per definire l'aspetto della griglia.

import FreeCAD, Draft, Arch
Grid = Arch.makeGrid()

Grid.Width = 5000
Grid.Height = 5000
Grid.Rows = 4
Grid.Columns = 6
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = Grid
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch AxisSystem.png Sistema di assi Pagina precedente:
Pagina successiva: Tetto Arch Roof.svg Arrow-right.svg